@import "../../../../_mixins.scss";

.device-manufacturer-container {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  position: relative;
  border-radius: 2px;

  h3 {
    padding: 20px;
    margin: 0;
  }

  h4 {
    padding-left: 20px;
    border-bottom: 1px solid #ccc;
    padding-bottom: 5px;
  }

  .heading-add-account {
    font-family: var(--font-first);
    font-weight: 500;
    font-size: var(--font-m);
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    padding: 8px 14px;
    text-align: center;
    white-space: nowrap;
    margin: -25px -40px 15px -20px;
    min-width: 125px;
    background: var(--primary);
    border-color: var(--primary);
    color: var(--white-font);
  }

  .add-new-account {
    margin-top: 15px;
    width: 350px;
    position: absolute;
    right: 20px;
  }

  .device-manufacturer__body-actions {
    padding: 20px;

    button {
      margin-right: 20px;
      min-width: unset;
      width: 95px;
    }
  }

  .disable-div {
    pointer-events: none;
    opacity: 0.8;
  }

  .loader {
    position: absolute;
    left: auto;
    top: auto;
    z-index: 999;
    width: 100%;
    height: 36%;
  }

  .spinner {
    display: flex;
    justify-content: center;
    width: 73%;
    height: 90%;

    img {
      margin: auto;
    }
  }
}

.add-manufacturer-setting {
  .modal-dialog .modal-content .modal-body {
    padding: 0 0 15px;
  }
  .integration-list {
    width: 100%;

    .select-div {
      width: 50%;
      padding-left: 20px;
    }
  }

  .Select {
    margin-bottom: 10px;
  }

  .device-manufacturer__body-fields {
    padding: 0;
    margin: 0;

    .manufacturer-label {
      font-family: var(--font-first);
      font-size: 12.2px;
      font-weight: 500;
      font-style: normal;
      font-stretch: normal;
      letter-spacing: 0.1px;
      text-align: left;
      color: #222222;
      position: relative;
    }

    .device-fields-group {
      display: flex;
      gap: 15px;
      padding: 0 25px;
      .field-section.field-section--required.col-md-6.col-xs-6 {
        padding: 0;
      }
    }

    .manufacturer-from-connectwise {
      display: flex;
      margin-top: 15px;
      padding: 0 25px;

      .select-div-1 {
        width: 47%;
        padding: 0 0 20px 0;
      }

      .select-div-2 {
        width: 50%;
        padding-left: 40px;
      }
    }
  }

  .disable-div {
    pointer-events: none;
    opacity: 0.8;
  }
}

.device-manufacturer-setting-list {
  margin-top: 0px;

  .table-container .table-container__table .ReactTable .rt-table {
    padding: 0;

    .rt-th,
    .rt-td {
      padding-left: 15px;
      padding-right: 15px;
    }
  }

  .-pagination {
    margin: 0 !important;
  }
}

.settings__notification {
  color: white;
  height: 30px;
  display: flex;
  align-items: center;
  padding-left: 15px;
  cursor: pointer;
  @include transitions(height 0.2s ease);

  &.settings__notification--fail {
    background: var(--danger);
  }

  &.settings__notification--success {
    background: var(--success);
  }
}
